:root {
    --subscribe-popup-max-width: 700px;
    --subscribe-popup-title-font-size: 32px;
    --subscribe-popup-title-line-height: 40px;
    --subscribe-popup-subtitle-font-size: 18px;
    --subscribe-popup-subtitle-line-height: 28px;
}

.subscribe-popup.popup {
    height: max-content;
    max-width: var(--subscribe-popup-max-width);
}
.subscribe-popup .subscribe-popup-close {
    position: absolute;
    top: 16px;
    right: 16px;
    height: 32px;
    width: 32px;
    padding: 4px;
    background-color: rgba(255, 255, 255, 0.79);
    border-radius: 100%;
    backdrop-filter: blur(2px);
    cursor: pointer;
    z-index: 1;
}
.subscribe-popup .popup-inner {
    overflow: hidden;
}
.subscribe-popup .subscribe-popup-content {
    justify-content: center;
    gap: 6px;
    width: 100%;
    padding: 24px;
    color: #1C1C1C;
}
.subscribe-popup .subscribe-popup-title {
    font-size: var(--subscribe-popup-title-font-size);
    line-height: var(--subscribe-popup-title-line-height);
}
.subscribe-popup .subscribe-popup-subtitle {
    font-size: var(--subscribe-popup-subtitle-font-size);
    line-height: var(--subscribe-popup-subtitle-line-height);
}
.subscribe-popup .sp-form {
    width: 100%;
    padding: 0;
    font-family: inherit;
    color: inherit;
    border: none;
}
.subscribe-popup .sp-form .sp-field {
    padding: 0;
}
.subscribe-popup .sp-form .sp-field input {
    font-size: var(--subscribe-popup-subtitle-font-size);
    line-height: var(--subscribe-popup-subtitle-line-height);
}
.subscribe-popup .sp-form .sp-button {
    height: auto;
    width: 100%;
    min-height: auto;
    padding: 9px 24px;
    font-size: 16px;
    color: var(--color-3);
    font-family: inherit;
    font-weight: 500;
    line-height: 26px;
    background-color: #0F0F0F;
    border: none;
    border-radius: 0;
}
.subscribe-popup .sp-form .sp-button:hover {
    top: unset;
}
.subscribe-popup .sp-form .sp-element-container {
    display: flex;
    flex-direction: column;
    gap: 16px;
}
.subscribe-popup .subscribe-popup-picture img {
    height: 100%;
    width: 100%;
    object-fit: cover;
    object-position: center;
}
.subscribe-popup .sp-form .sp-field > .sp-control-label {
    display: none !important;
}
.subscribe-popup .sp-form .sp-message.sp-message-success {
    text-align: center;
}

@media (min-width: 769px) {
    .subscribe-popup .subscribe-popup-picture {
        aspect-ratio: 350 / 460;
    }
}
@media (max-width: 768px) {
    :root {
        --subscribe-popup-title-font-size: 24px;
        --subscribe-popup-title-line-height: 29px;
        --subscribe-popup-subtitle-font-size: 16px;
        --subscribe-popup-subtitle-line-height: 26px;
    }

    .subscribe-popup .subscribe-popup-content {
        padding: 24px 16px;
    }

    @media (max-width: 700px) {
        :root {
            --subscribe-popup-max-width: calc(100vw - 32px);
        }

        .subscribe-popup .popup-inner {
            flex-direction: column-reverse;
        }
        .subscribe-popup .subscribe-popup-form {
            width: 100%;
            max-width: 425px;
            margin-left: auto;
            margin-right: auto;
        }
    }
}